List of all members
cgicc::HTTPHeader Class Referenceabstract

Abstract base class for all simple HTTP response headers. More...

`#include <cgicc/HTTPHeader.h>`

Inheritance diagram for cgicc::HTTPHeader:

## Public Member Functions
Constructors and Destructor
| HTTPHeader (const std::string &data)
| Constructor. More...
| HTTPHeader (const HTTPHeader &header)
| Copy constructor. More...
virtual | ~HTTPHeader ()
| Destructor.
Cookie Management
HTTPHeader & | setCookie (const HTTPCookie &cookie)
| Set a cookie to go out with this HTTPResponseHeader. More...
const std::vector< HTTPCookie > & | getCookies () const
| Get a list of all cookies associated with this header. More...
Accessor Method
std::string | getData () const
Public Member Functions inherited from cgicc::MStreamable
| MStreamable ()
| Empty constructor. More...
virtual | ~MStreamable ()
| Empty destructor. More...
virtual void | render (std::ostream &out) const =0
| Write this object to a stream. More...

## Subclass Methods
virtual void | render (std::ostream &out) const =0
| Write this HTTPHeader to a stream. More...

## Detailed Description

Abstract base class for all simple HTTP response headers.

Definition at line 52 of file HTTPHeader.h.

## Constructor & Destructor Documentation

## ◆ HTTPHeader() [1/2]

cgicc::HTTPHeader::HTTPHeader | ( | const std::string & | data | ) |

Constructor.

Parameters

  data | The header data.

## ◆ HTTPHeader() [2/2]

cgicc::HTTPHeader::HTTPHeader | ( | const HTTPHeader & | header | ) |

Copy constructor.

Parameters

  header | The HTTPHeader to copy.

## Member Function Documentation

## ◆ getCookies()

const std::vector< HTTPCookie > & cgicc::HTTPHeader::getCookies | ( |  | ) | const
| inline

Get a list of all cookies associated with this header.

Returns
  All the cookies associated with this header

Definition at line 96 of file HTTPHeader.h.

## ◆ getData()

std::string cgicc::HTTPHeader::getData | ( |  | ) | const
| inline

Get the data contained in this HTTP header.

Returns
  The data contained in this header.

Definition at line 110 of file HTTPHeader.h.

## ◆ render()

virtual void cgicc::HTTPHeader::render | ( | std::ostream & | out | ) | const
| pure virtual

Write this HTTPHeader to a stream.

Subclasses must implement this function.

Parameters

  out | The ostream to which to write.

Implements cgicc::MStreamable.

Implemented in cgicc::HTTPContentHeader, cgicc::HTTPRedirectHeader, and cgicc::HTTPStatusHeader.

## ◆ setCookie()

HTTPHeader & cgicc::HTTPHeader::setCookie | ( | const HTTPCookie & | cookie | ) |
| inline

Set a cookie to go out with this HTTPResponseHeader.

Parameters

  cookie | The HTTPCookie to set

Definition at line 88 of file HTTPHeader.h.

Referenced by main().

The documentation for this class was generated from the following file:

- HTTPHeader.h